Get product sales history
GET
/v2/product-catalog/products/{id}/sales-history
const url = 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/sales-history?page=0&size=10';const options = {method: 'GET', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/sales-history?page=0&size=10' \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”id
required
string format: uuid
Id
Query Parameters
Sezione intitolata “Query Parameters”page
integer format: int32
Page
size
integer format: int32
Size
Responses
Sezione intitolata “Responses”OK
Media type*/*
SalesHistoryResponse
object
content
Array<object>
SalesHistoryItemDTOobject
customerContact
string
orderDate
string
orderId
string
orderValue
integer format: int64
units
integer format: int32
lastSaleDate
string
totalElements
integer format: int64
totalPages
integer format: int32
totalSalesValue
integer format: int64
totalUnitsSold
integer format: int32